package com.ytpm.lemonios.dao;

import com.ytpm.agent.model.YtDitch;
import com.ytpm.agent.param.DitchListParam;
import com.ytpm.agent.view.AgentDitchView;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface DitchMapper {
    List<AgentDitchView> ditchList(DitchListParam param);

    List<AgentDitchView> ditchListByAppId(@Param("appId") String appId);

    Integer insertOne(YtDitch ytDitch);

    YtDitch selectById(@Param("ditchId") Long ditchId);

    /**
     * 逻辑删除渠道记录
     */
    void deleteByAppId(@Param("appId") String appId);
}
